{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Проекты и отчеты" %}
{% set page_id = "7.0" %}


{% block heading %}
    <div class="content-header d-flex align-items-center justify-content-between">
        <h1 class="content-header__title">{{ title }}</h1>
    </div>

{% endblock %}

{% block main %}
    <div class="page-container">
        <div class="card">
            <div class="card-body">
                <fieldset class="form-group position-relative has-icon-left">
                    <input type="text" class="form-control" placeholder="Поиск">
                    <div class="form-control-position">
                        <i class="bx bx-search"></i>
                    </div>
                </fieldset>
                <div class="form-group">
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Игнорировать регистр</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Точное совпадение</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Выводить результат</span>
                    </label>
                </div><!-- .form-group -->
                <div class="form-group d-flex align-items-center flex-wrap">
                    <button class="btn btn-primary mr-1 mb-1">Поиск</button>
                    <button class="btn btn-secondary mr-1 mb-1">Очистить</button>
                </div><!-- .form-group -->

                <div class="row">
                    <div class="col-sm-12 col-lg-9">
                        <div id="source-tree"></div>
                    </div>
                    <div class="col-sm-12 col-lg-3 pt-1">
                        Результат
                    </div>
                </div>
                <div class="pt-50 font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>

            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script>

        let  mainSourceTree = function (){
            let $blue = '#A5B2CC';

            let sourceData = [{
                text: 'Все проекты ',
                href: '#parent1',
                tags: ['4'],
                nodes: [{
                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                        '<span>Проект 1</span>' +
                        '<div>' +
                        '<div class="d-flex flex-wrap align-items-center">' +
                        '<div class="badge badge-circle badge-circle-success badge-data badge-sm mr-50"><span class="badge-data__value badge-data__value--small">10</span><i class="bx bx-bell-plus"></i></div>' +
                        '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                        '<button class="btn btn-gray btn-sm">ред</button>' +
                        '</div>',
                    href: '#',
                    tags: ['2'],
                    nodes: [
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                '<span>Мониторинг 1</span>' +
                                '<div>' +
                                '<div class="d-flex flex-wrap align-items-center">' +
                                '<a class="d-inline-block text-nowrap mr-50 font-size-small" href="#">Скачать  шаблон отчета</a> <span class="d-inline-block text-nowrap font-size-small mr-50"> | </span> <a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                '<button class="btn btn-gray btn-sm">ред</button>' +
                                '</div>',
                            href: '#',
                            tags: ['0'],
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                '<span>Мониторинг 2</span>' +
                                '<div>' +
                                '<div class="d-flex flex-wrap align-items-center">' +
                                '<a class="d-inline-block text-nowrap mr-50 font-size-small" href="#">Скачать  шаблон отчета</a> <span class="d-inline-block text-nowrap font-size-small mr-50"> | </span> <a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                '<button class="btn btn-gray btn-sm">ред</button>' +
                                '</div>',
                            href: '#',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                        '<span>Мониторинг 2 - утро</span>' +
                                        '<div>' +
                                        '<div class="d-flex flex-wrap align-items-center">' +
                                        '<a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                        '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                        '<button class="btn btn-gray btn-sm">ред</button>' +
                                        '</div>',
                                    href: '#',
                                    tags: ['kk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                        '<span>Мониторинг 2 - вечер</span>' +
                                        '<div>' +
                                        '<div class="d-flex flex-wrap align-items-center">' +
                                        '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                        '<button class="btn btn-gray btn-sm">ред</button>' +
                                        '</div>',
                                    href: '#',
                                    tags: ['sk']
                                }
                            ]
                        }]
                },
                    {
                        text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                            '<span>Проект 2</span>' +
                            '<div>' +
                            '<div class="d-flex flex-wrap align-items-center">' +
                            '<div class="badge badge-circle badge-circle-success badge-data badge-sm mr-50"><span class="badge-data__value badge-data__value--small">10</span><i class="bx bx-bell-plus"></i></div>' +
                            '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                            '<button class="btn btn-gray btn-sm">ред</button>' +
                            '</div>',
                        href: '#',
                        tags: ['0'],
                        nodes: [
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                    '<span>Мониторинг 3</span>' +
                                    '<div>' +
                                    '<div class="d-flex flex-wrap align-items-center">' +
                                    '<a class="d-inline-block text-nowrap mr-50 font-size-small" href="#">Скачать  шаблон отчета</a> <span class="d-inline-block text-nowrap font-size-small mr-50"> | </span> <a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                    '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                    '<button class="btn btn-gray btn-sm">ред</button>' +
                                    '</div>',
                                href: '#',
                                tags: ['0'],
                                nodes: [
                                    {
                                        text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                            '<span>Мониторинг 3 - утро</span>' +
                                            '<div>' +
                                            '<div class="d-flex flex-wrap align-items-center">' +
                                            '<a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                            '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                            '<button class="btn btn-gray btn-sm">ред</button>' +
                                            '</div>',
                                        href: '#',
                                        tags: ['kk']
                                    },
                                    {
                                        text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                            '<span>Мониторинг 3 - вечер</span>' +
                                            '<div>' +
                                            '<div class="d-flex flex-wrap align-items-center">' +
                                            '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                            '<button class="btn btn-gray btn-sm">ред</button>' +
                                            '</div>',
                                        href: '#',
                                        tags: ['sk']
                                    }
                                ]
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                    '<span>Мониторинг 4</span>' +
                                    '<div>' +
                                    '<div class="d-flex flex-wrap align-items-center">' +
                                    '<a class="d-inline-block text-nowrap mr-50 font-size-small" href="#">Скачать  шаблон отчета</a> <span class="d-inline-block text-nowrap font-size-small mr-50"> | </span> <a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                    '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                    '<button class="btn btn-gray btn-sm">ред</button>' +
                                    '</div>',
                                href: '#',
                                tags: ['0'],
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1">' +
                                    '<span>Мониторинг 5</span>' +
                                    '<div>' +
                                    '<div class="d-flex flex-wrap align-items-center">' +
                                    '<a class="d-inline-block text-nowrap mr-50 font-size-small" href="#">Скачать  шаблон отчета</a> <span class="d-inline-block text-nowrap font-size-small mr-50"> | </span> <a class="d-inline-block text-nowrap font-size-small mr-1" href="#">Скачать ТЗ</a>' +
                                    '<button class="btn btn-gray btn-sm mr-25">+</button>' +
                                    '<button class="btn btn-gray btn-sm">ред</button>' +
                                    '</div>',
                                href: '#',
                                tags: ['0'],
                            },
                        ]
                    }
                ]
            }];

            let sourceTree = $('#source-tree').treeview({
                selectedBackColor: [$blue],
                data: sourceData,
                showIcon: false,
                showCheckbox: false,
            });
        };
        mainSourceTree();
    </script>
{% endblock %}

